Skip to main content
Resource Center/Hardware/Backup Storage Operations
PUTBackup Storage OperationsSince 1.7SynchronousAuth Required

ExportImageFromBackupStorage

ExportImageFromBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • backupStorageUuidStringRequired

    The backup storage UUID.

Body Fields

  • exportimagefrombackupstorageObjectRequired

    exportimagefrombackupstorage request body object.

    • imageUuidStringRequired

      The image UUID.

    • exportFormatString

      Optional. The format for storing the exported image.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • imageUrlStringRequired

    The exported image URL.

  • exportMd5SumStringRequired

    The MD5 checksum value of the exported image.

  • successbooleanRequired

    Whether the API succeeds.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/backup-storage/{backupStorageUuid}/actions

/zstack/v1/backup-storage/{backupStorageUuid}/actions

Operation ID

ExportImageFromBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/backup-storage/{backupStorageUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"exportimagefrombackupstorage":{"imageUuid":"<imageUuid>","exportFormat":"<exportFormat>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "imageUrl": "http://bs-host-name/path/to/image.qcow2", "exportMd5Sum": "8a239d17b045dea51c4677fa90a42ed8" }

Change History

This API has no change history records yet.

View all change history